mfont_unparse_name(3m17n)

NAME
mfont_unparse_name - Create a fontname from a font.

SYNOPSIS
char* mfont_unparse_name (MFont * font, MSymbol format)

DESCRIPTION
Create a fontname from a font.

The mfont_unparse_name() function creates a fontname string from font font according to format.

format must be Mx or Mfontconfig. If it is Mx, the fontname is in XLFD (X Logical Font Description) format. If it is Mfontconfig, the fontname is in the style of Fontconfig's text representation.

RETURN VALUE

    This function returns a newly allocated fontname string, which is not freed unless the user explicitly does so by free().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.